package org.objectweb.jonathan.tools;

import junit.framework.*;

import org.objectweb.jonathan.apis.kernel.Context;

public class Kcf2javaTest extends TestCase {
   
   public Kcf2javaTest(String name) {
      super(name);
   }

	public static void main(String args[]) {
		junit.textui.TestRunner.run(Kcf2javaTest.class);
	}

   public void testSimpleConfiguration() {
      Context $context = Kernel.newConfiguration(Kcf2javaTest.class);
      String $toto = (String) $context.getValue("/config/property",'/');
      assertEquals("toto",$toto);
      assertEquals(Identity.class,$context.getValue("/assemblage/Factory",'/').getClass());
      assertSame($toto,$context.getValue("/assemblage/Configuration/parameter",'/'));
      assertSame($toto,$context.getValue("assemblage",(char) 0));
   }
}
